/**
 * Copyright 2020 Cohesity Inc.
 *
 * Author : Qing Wan
 *
 * generate sql script to add tempfile
*/

define tempfile_path = '&1'
define path_separatortemp = &2

WHENEVER OSERROR EXIT 11;
WHENEVER SQLERROR EXIT 22;
SET VERIFY OFF;
SET ECHO OFF;
SET SERVEROUTPUT ON;
SET HEADING OFF;
SET FEEDBACK OFF;
SET LINE 32000;
select 'alter tablespace '|| b.name ||' add tempfile ''&tempfile_path&path_separatortemp' ||
  a.File# || '.dbf'' size ' ||
  TRUNC(a.CREATE_BYTES/1024/1024) || 'M;'
  from v$tempfile a, v$tablespace b
  where a.ts# = b.ts#;
exit;